Author Topic: dependency not met (SOLVED)  (Read 657 times)

0 Members and 1 Guest are viewing this topic.

Offline donwatson

  • Sr. Member
  • ****
  • Posts: 371
  • Karma: 5
  • Gender: Male
  • Getting older
    • View Profile
    • Awards
dependency not met (SOLVED)
« on: December 13, 2012, 01:56:44 pm »
Hi Mark,
Back again I'm afraid.I am using Inkscape graphic package.
When I check the error log I get this

I found the pstoedit  and Dia packages and installed them through Synaptic. This cleared 3 errors but leaves me with

Hope you can help to find these 2
Don
« Last Edit: December 13, 2012, 11:32:35 pm by donwatson »
Novatech build
Intel Celeron CPU 1.80 Ghz   Memory 4.00GB (3.71GB usable)
Peppermint 5    64 bit     500 GB HD        496 GB Ext 4
4.0GB Swap Partition    4.0GB Extended Partition   1.1Mb Free Space

Online Mark Greaves (PCNetSpec)

  • Administrator
  • Hero Member
  • *****
  • Posts: 13803
  • Karma: 343
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
    • Awards
Re: dependency not met
« Reply #1 on: December 13, 2012, 05:08:40 pm »
I take it Inkscape is working ?

Do you NEED these features ?

How did you install Inkscape ?

Which Linux distro/version/architecture ? (eg. Ubuntu 12.04 32bit)



If we're talking about an Ubuntu >= 12.04 based dstro ..

If you really must, you should be able to get rid of the fig2dev dependency message by installing transfig[/code:
Code: [Select]
sudo apt-get install transfig

But there's no easy way of satisfying the skconvert dependency .. that's part of the skencil package, which doesn't appear to be in the repos.

But I don't think either are necessary for Inkscape to work .. they appear to be just export filters, to export Inkscape drawings to other file formats.
« Last Edit: December 13, 2012, 05:11:55 pm by Mark Greaves (PCNetSpec) »
WARNING: You are logged into reality as 'root'

logging in as 'insane' is the only safe option.

Offline donwatson

  • Sr. Member
  • ****
  • Posts: 371
  • Karma: 5
  • Gender: Male
  • Getting older
    • View Profile
    • Awards
Re: dependency not met
« Reply #2 on: December 13, 2012, 11:31:48 pm »
Thanks Mark,
You are, of course, correct.
Inkscape is working beautifully and these extra packages are not necessary.
I can feed .svg drawings to LinuxCNC from Inkscape after I use the Gcode extensions.
Dia is not needed either so I will get rid of that.

take care
Don W
Novatech build
Intel Celeron CPU 1.80 Ghz   Memory 4.00GB (3.71GB usable)
Peppermint 5    64 bit     500 GB HD        496 GB Ext 4
4.0GB Swap Partition    4.0GB Extended Partition   1.1Mb Free Space

 


SimplePortal 2.3.3 © 2008-2010, SimplePortal